#!/usr/bin/python

# heegner.py
# William Stein, 2002

import mfd, time, constants

t0 = time.time()
for N in range(3900,10000):
    M = mfd.ModSym(N,2)
    print "M = ", M
    for E in M.get_iso_classes():
        if E.dimension() == 1:
            t = time.time()
            print "E = ", E
            if E.modp_gcd_upper_bound() == constants.not_computed:
                print E.compute_modp_gcd_upper_bound()
            print "time =", time.time()-t, " seconds"

print "total time = ", time.time()-t0
